#!/bin/bash
# Copyright (c) 2010, Cloudera, inc. All rights reserved.
#
# Runs Beeswax server.

set -o errexit

if [ -z "$HADOOP_HOME" ]; then
  echo "\$HADOOP_HOME must be specified" 1>&2
  exit 1
fi

if [ -z "$HIVE_CONF_DIR" ]; then
  echo "\$HIVE_CONF_DIR must be specified" 1>&2
  exit 1
fi


BEESWAX_ROOT=$(dirname $0)
BEESWAX_JAR=$BEESWAX_ROOT/java-lib/BeeswaxServer.jar
BEESWAX_HIVE_LIB=$BEESWAX_ROOT/hive/lib

echo \$HADOOP_HOME=$HADOOP_HOME

export HADOOP_CLASSPATH=$(find $BEESWAX_HIVE_LIB -name "*.jar" | tr "\n" :):$HIVE_CONF_DIR
echo \$HADOOP_CLASSPATH=$HADOOP_CLASSPATH

# Use HADOOP_CONF_DIR to preprend to classpath, to avoid fb303 conflict
# Because we are abusing HADOOP_CONF_DIR, we have to emulate its default 
# behavior here as well.
if [ -z "$HADOOP_CONF_DIR" ]; then
  HADOOP_CONF_DIR="$HADOOP_HOME/conf"
fi
export HADOOP_CONF_DIR=${HADOOP_CONF_DIR}:$(find $BEESWAX_HIVE_LIB -name "libfb303.jar" | head -1)
echo \$HADOOP_CONF_DIR=$HADOOP_CONF_DIR

# Note: I've had trouble running this with just "java -jar" with the classpath
# determined with a seemingly appropriate find command.
echo Executing $HADOOP_HOME/bin/hadoop jar $BEESWAX_JAR "$@"
exec $HADOOP_HOME/bin/hadoop jar $BEESWAX_JAR "$@"
