## (c) Copyright 2010 Cloudera, Inc. All rights reserved.
<%def name="render_error(err)">
  <div class="ccs-error">
    ${str(err) | n}
  </div>
</%def>

<%def name="render_field(field)">
  % if field.is_hidden:
    ${str(field) | n}
  % else:
    <dt>${field.label_tag() | n}</dt>
    <dd>${str(field) | n}</dd>
    % if len(field.errors):
      <dd class="ccs-error">
        ${render_error(field.errors)}
      </dd>
    % endif
  % endif
</%def>

<%def name="render_formset(formset)">
  <dl>
  % for f in formset.forms:
    ${render_form(f)}
  % endfor
  ${str(formset.management_form) | n }
  </dl>
</%def>

<%def name="render_form(form)">
  % for err in form.non_field_errors():
    ${render_error(err)}
  % endfor

  % for field in form:
    ${render_field(field)}
  % endfor
</%def>

<%def name="render_query_context(query_context)">
  % if query_context:
    % if query_context[0] == 'table':
      <% tablename = query_context[1] %>
      <h2>Table:
      <a href="${ url('beeswax.views.describe_table', tablename) }" class="bw-query_link">${tablename}</a></h2>
    % elif query_context[0] == 'design':
      <% design = query_context[1] %>
      % if design.is_auto:
        <h2><a href="${ url('beeswax.views.execute_query', design.id)}" class="bw-query_link">Unsaved Query</a></h2>
      % else:
        <h2><a href="${ url('beeswax.views.execute_query', design.id)}" class="bw-query_link">${design.name}</a></h2>
      % endif
    % else:
      <h2>Query Results</h2>
    % endif
  % endif
</%def>
